// PingDlg.h : header file
//

#if !defined(AFX_PINGDLG_H__39DA868A_AFD2_11D2_80BF_0020186676FB__INCLUDED_)
#define AFX_PINGDLG_H__39DA868A_AFD2_11D2_80BF_0020186676FB__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "NmDataPipe.hpp"

/////////////////////////////////////////////////////////////////////////////
// CPingDlg dialog

class CPingDlg : public CDialog, JetByteTools::CNmDataPipe
{
// Construction
public:
	CPingDlg(CWnd* pParent = NULL);	// standard constructor
	~CPingDlg();

// Dialog Data
	//{{AFX_DATA(CPingDlg)
	enum { IDD = IDD_PING_DIALOG };
	CListBox	m_list;
	UINT	m_payload;
	UINT	m_frequency;
	UINT	m_missedPackets;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPingDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPingDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnUpdateEdit1();
	afx_msg void OnUpdateEdit2();
	afx_msg void OnApply();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	virtual void Error(LPCTSTR pMessage);
	virtual void OnConnected();
	virtual void OnDisconnected();

	HRESULT STDMETHODCALLTYPE DataReceived(
		INmMember *pMember,
		ULONG uSize,
		byte *pvBuffer,
		ULONG dwFlags);

	HRESULT STDMETHODCALLTYPE DataSent(
		INmMember *pMember,
		ULONG uSize,
		byte *pvBuffer);

/*
HRESULT STDMETHODCALLTYPE ChannelChanged(
	NM_CHANNEL_NOTIFY uNotify, 
	INmChannel *pChannel);
*/
	void DisableButton(int buttonId);
	void EnableButton(int buttonId);
	void AddString(LPCTSTR pString);

	void StartTimer();
	void StopTimer();
	void ResetTimer();


	bool m_bTimerRunning;
	bool m_bTimerCanRun;

	DWORD m_nextOut;
	DWORD m_nextIn;

	UINT m_timerRes;

	DWORD m_processID;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PINGDLG_H__39DA868A_AFD2_11D2_80BF_0020186676FB__INCLUDED_)
